DPKG-AWK(1)

NAME
dpkg-awk - Utility to read a dpkg style db file

SYNOPSIS
dpkg-awk [(-f|--file) filename] [(-d|--debug) ##] [(-s|--sort) list] [(-rs|--rec_sep) ??] '<fieldname>:<regex>' ... -- <out_fieldname> ..

DESCRIPTION
dpkg-awk Parses a dpkg status file (or other similarly formatted file) and outputs the resulting records. It can use regex on the field values to limit the returned records, it can also be told which fields to output, and it can sort the matched fields.

OPTIONS

-f filename
--file filename
    The file to parse. The default is /var/lib/dpkg/status.

-d [#]
--debug [#]
    Each time this is specified, it increased the debug level.

-s field(s)
--sort field(s)
    A space or comma separated list of fields to sort on.

-n field(s)
--numeric field(s)
    A space or comma separated list of fields that should be interpreted as numeric in value.

-rs ??
--rec_sep ??
    Output this string at the end of each output paragraph.

-h
--help
    Display some help.

fieldname
    The fields from the file, that are matched with the regex given. The fieldnames are case insensitive.

out_fieldname
    The fields from the file, that are output for each record. If the first field listed begins with ^, then the list of fields that follows will NOT be output.

BUGS
Be warned that the author has only a shallow understanding of the dpkg packaging system, so there are probably tons of bugs in this program. This program comes with no warranties. If running this program causes fire and brimstone to rain down upon the earth, you will be on your own. This program accesses the dpkg database directly in places, querying for data that cannot be gotten via dpkg.

AUTHOR
Adam Heath <doogie@debian.org>